Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001144Frama-CKernelpublic2012-04-07 12:302014-02-12 16:59
Reporterpascal 
Assigned Tovirgile 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001144: 17944 using option -unspecified-access, no alarm for x + (x=0)
DescriptionOn the program below, with bin/toplevel.opt -val -unspecified-access t.c, it would be desireable to have an alarm. Instead, the return value is computed as zero.

int main(void) { int d = 5; return d + (d=0);
}
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004702)

2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2012-04-07 12:30 pascal New Issue
2012-04-07 12:32 pascal Status new => assigned
2012-04-07 12:32 pascal Assigned To => virgile
2012-04-09 20:15 svn Checkin
2012-04-09 20:15 svn Status assigned => resolved
2012-04-09 20:15 svn Resolution open => fixed
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed
2014-02-12 16:59 Note Added: 0004702
2014-02-12 16:59 Status closed => resolved


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker